cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/positions \
--header 'x-api-key: <api-key>'{
"data": [
{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"isYes": true,
"contracts": "<string>",
"totalCostUsd": "<string>",
"sizeUsd": "<string>",
"valueUsd": "<string>",
"avgPriceUsd": "<string>",
"markPriceUsd": "<string>",
"sellPriceUsd": "<string>",
"pnlUsd": "<string>",
"pnlUsdPercent": 123,
"pnlUsdAfterFees": "<string>",
"pnlUsdAfterFeesPercent": 123,
"openOrders": 1,
"feesPaidUsd": "<string>",
"realizedPnlUsd": 123,
"claimed": true,
"claimedUsd": "<string>",
"openedAt": 123,
"updatedAt": 123,
"claimableAt": 123,
"payoutUsd": "<string>",
"bump": 1,
"eventId": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"settlementDate": 123,
"claimable": true
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Positions
Get Positions
Get a list of positions with optional filtering
GET
/
positions
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/positions \
--header 'x-api-key: <api-key>'{
"data": [
{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"isYes": true,
"contracts": "<string>",
"totalCostUsd": "<string>",
"sizeUsd": "<string>",
"valueUsd": "<string>",
"avgPriceUsd": "<string>",
"markPriceUsd": "<string>",
"sellPriceUsd": "<string>",
"pnlUsd": "<string>",
"pnlUsdPercent": 123,
"pnlUsdAfterFees": "<string>",
"pnlUsdAfterFeesPercent": 123,
"openOrders": 1,
"feesPaidUsd": "<string>",
"realizedPnlUsd": 123,
"claimed": true,
"claimedUsd": "<string>",
"openedAt": 123,
"updatedAt": 123,
"claimableAt": 123,
"payoutUsd": "<string>",
"bump": 1,
"eventId": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"settlementDate": 123,
"claimable": true
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Required range:
x >= 0Required range:
x >= 0Position owner public key
Minimum string length:
1Minimum string length:
1Minimum string length:
1Filter by position side (true = YES, false = NO)
Available options:
true, false Was this page helpful?
⌘I
